@import '../../../assets/scss/_variables';

:host {
  display: block;
  height: 100%;
  background-color: $big-daddy-blue;
}

.scales-cover {
  overflow: hidden;
  position: absolute;
  padding-top: 140px;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  box-sizing: border-box;
}

.scales-search-result {
  position: absolute;
  width: 100%;
  height: 800px;
  overflow: auto;
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
}

.scale-box {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  position: relative;
  width: 25%;
  height: 30%;
}

.scale-label {
  text-align: center;
  font-size: 25px;
  font-weight: 100;
  color: $text-pussy-blue;
}

.search-form {
  position: absolute;
  z-index: 2;
  padding: 40px;
  min-width: 150px;
  max-width: 700px;
  width: 100%;
  left: 50%;
  transform: translate(-50%);
}

.search-full-width {
  width: 100%;
}

:host ::ng-deep {
  .mat-input-element{
    color: $text-pussy-blue;
  }
  .mat-form-field-label {
    color: $text-pussy-blue;
  }
  .mat-form-field.mat-focused .mat-form-field-label {
    color: $text-pussy-blue;
  }
  .mat-form-field.mat-focused .mat-form-field-ripple {
    background-color: $pussy-blue;
  }
  .mat-input-element {
    height: 50px;
    font-size: 30px;
  }
}
